Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.commons.fileupload.FileUploadTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  ProgressListenerTest, ServletFileUploadTest, SizesTest

    public abstract class FileUploadTestCase

extends junit.framework.TestCase

Base class for deriving test cases.

Field Summary
`protected static java.lang.String` | `CONTENT_TYPE`

Constructor Summary
`FileUploadTestCase()`

Method Summary
`protected java.util.List` | `parseUpload(byte[] bytes)`
`protected java.util.List` | `parseUpload(byte[] bytes, java.lang.String contentType)`
`protected java.util.List` | `parseUpload(java.lang.String content)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    protected static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### FileUploadTestCase

    public FileUploadTestCase()

Method Detail

### parseUpload

    protected java.util.List parseUpload(byte[] bytes)
                                  throws org.apache.commons.fileupload.FileUploadException

  Throws:
    `org.apache.commons.fileupload.FileUploadException`

### parseUpload

    protected java.util.List parseUpload(byte[] bytes,
                                         java.lang.String contentType)
                                  throws org.apache.commons.fileupload.FileUploadException

  Throws:
    `org.apache.commons.fileupload.FileUploadException`

### parseUpload

    protected java.util.List parseUpload(java.lang.String content)
                                  throws java.io.UnsupportedEncodingException,
                                         org.apache.commons.fileupload.FileUploadException

  Throws:
    `java.io.UnsupportedEncodingException`
    `org.apache.commons.fileupload.FileUploadException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.